# Get Table Schema

```
GET 
/v1/connections/:connection_type/:connection_id/table-schema
```

Get column schema for a specific table.

Args: connection\_type: Connection type for routing connection\_id: Connection ID table: Table name database: Optional database/schema name

Returns: List of columns with their data types and properties

## Request[​](#request "Link diretto a request")

## Responses[​](#responses "Link diretto a Responses")

* 200
* 404
* 422

Successful Response

Not found

Validation Error
